Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time
Class YearMonthDay

    java.lang.Object
      org.joda.time.base.AbstractPartial
          org.joda.time.base.BasePartial
              org.joda.time.YearMonthDay

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, ReadablePartial

Deprecated. Use LocalDate which has a much better internal implementation and has been available since 1.3

    public final class YearMonthDay

extends BasePartial
implements ReadablePartial, java.io.Serializable

YearMonthDay is an immutable partial supporting the year, monthOfYear and dayOfMonth fields.

NOTE: This class only supports the three fields listed above. Thus, you cannot query the dayOfWeek or centuryOfEra fields for example. The new `LocalDate` class removes this restriction.

Calculations on YearMonthDay are performed using a `Chronology`. This chronology is set to be in the UTC time zone for all calculations.

Each individual field can be queried in two ways:

- `getMonthOfYear()`
- `monthOfYear().get()`

The second technique also provides access to other useful methods on the field:

- numeric value - `monthOfYear().get()`
- text value - `monthOfYear().getAsText()`
- short text value - `monthOfYear().getAsShortText()`
- maximum/minimum values - `monthOfYear().getMaximumValue()`
- add/subtract - `monthOfYear().addToCopy()`
- set - `monthOfYear().setCopy()`

YearMonthDay is thread-safe and immutable, provided that the Chronology is as well. All standard Chronology classes supplied are thread-safe and immutable.

Since:
  1.0
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Nested Class Summary
`static class` | `YearMonthDay.Property` Deprecated. Use LocalDate which has a much better internal implementation

Field Summary
`static int` | `DAY_OF_MONTH` Deprecated. The index of the dayOfMonth field in the field array
`static int` | `MONTH_OF_YEAR` Deprecated. The index of the monthOfYear field in the field array
`static int` | `YEAR` Deprecated. The index of the year field in the field array

Constructor Summary
`YearMonthDay()` Deprecated. Constructs a YearMonthDay with the current date, using ISOChronology in the default zone to extract the fields.
`YearMonthDay(Chronology chronology)` Deprecated. Constructs a YearMonthDay with the current date, using the specified chronology and zone to extract the fields.
`YearMonthDay(DateTimeZone zone)` Deprecated. Constructs a YearMonthDay with the current date, using ISOChronology in the specified zone to extract the fields.
`YearMonthDay(int year, int monthOfYear, int dayOfMonth)` Deprecated. Constructs a YearMonthDay with specified time field values using `ISOChronology` in the default zone.
`YearMonthDay(int year, int monthOfYear, int dayOfMonth, Chronology chronology)` Deprecated. Constructs a YearMonthDay with specified time field values.
`YearMonthDay(long instant)` Deprecated. Constructs a YearMonthDay extracting the partial fields from the specified milliseconds using the ISOChronology in the default zone.
`YearMonthDay(long instant, Chronology chronology)` Deprecated. Constructs a YearMonthDay extracting the partial fields from the specified milliseconds using the chronology provided.
`YearMonthDay(java.lang.Object instant)` Deprecated. Constructs a YearMonthDay from an Object that represents a time.
`YearMonthDay(java.lang.Object instant, Chronology chronology)` Deprecated. Constructs a YearMonthDay from an Object that represents a time, using the specified chronology.

Method Summary
`YearMonthDay.Property` | `dayOfMonth()` Deprecated. Get the day of month field property which provides access to advanced functionality.
`static YearMonthDay` | `fromCalendarFields(java.util.Calendar calendar)` Deprecated. Constructs a YearMonthDay from a `java.util.Calendar` using exactly the same field values avoiding any time zone effects.
`static YearMonthDay` | `fromDateFields(java.util.Date date)` Deprecated. Constructs a YearMonthDay from a `java.util.Date` using exactly the same field values avoiding any time zone effects.
`int` | `getDayOfMonth()` Deprecated. Get the day of month field value.
`protected DateTimeField` | `getField(int index, Chronology chrono)` Deprecated. Gets the field for a specific index in the chronology specified.
`DateTimeFieldType` | `getFieldType(int index)` Deprecated. Gets the field type at the specified index.
`DateTimeFieldType[]` | `getFieldTypes()` Deprecated. Gets an array of the field type of each of the fields that this partial supports.
`int` | `getMonthOfYear()` Deprecated. Get the month of year field value.
`int` | `getYear()` Deprecated. Get the year field value.
`YearMonthDay` | `minus(ReadablePeriod period)` Deprecated. Returns a copy of this date with the specified period taken away.
`YearMonthDay` | `minusDays(int days)` Deprecated. Returns a copy of this date minus the specified number of days.
`YearMonthDay` | `minusMonths(int months)` Deprecated. Returns a copy of this date minus the specified number of months.
`YearMonthDay` | `minusYears(int years)` Deprecated. Returns a copy of this date minus the specified number of years.
`YearMonthDay.Property` | `monthOfYear()` Deprecated. Get the month of year field property which provides access to advanced functionality.
`YearMonthDay` | `plus(ReadablePeriod period)` Deprecated. Returns a copy of this date with the specified period added.
`YearMonthDay` | `plusDays(int days)` Deprecated. Returns a copy of this date plus the specified number of days.
`YearMonthDay` | `plusMonths(int months)` Deprecated. Returns a copy of this date plus the specified number of months.
`YearMonthDay` | `plusYears(int years)` Deprecated. Returns a copy of this date plus the specified number of years.
`YearMonthDay.Property` | `property(DateTimeFieldType type)` Deprecated. Gets the property object for the specified type, which contains many useful methods.
`int` | `size()` Deprecated. Gets the number of fields in this partial.
`DateMidnight` | `toDateMidnight()` Deprecated. Converts this object to a DateMidnight in the default time zone.
`DateMidnight` | `toDateMidnight(DateTimeZone zone)` Deprecated. Converts this object to a DateMidnight.
`DateTime` | `toDateTime(TimeOfDay time)` Deprecated. Converts this object to a DateTime using a TimeOfDay to fill in the missing fields and using the default time zone.
`DateTime` | `toDateTime(TimeOfDay time, DateTimeZone zone)` Deprecated. Converts this object to a DateTime using a TimeOfDay to fill in the missing fields.
`DateTime` | `toDateTimeAtCurrentTime()` Deprecated. Converts this partial to a full datetime using the default time zone setting the date fields from this instance and the time fields from the current time.
`DateTime` | `toDateTimeAtCurrentTime(DateTimeZone zone)` Deprecated. Converts this partial to a full datetime using the specified time zone setting the date fields from this instance and the time fields from the current time.
`DateTime` | `toDateTimeAtMidnight()` Deprecated. Converts this YearMonthDay to a full datetime at midnight using the default time zone.
`DateTime` | `toDateTimeAtMidnight(DateTimeZone zone)` Deprecated. Converts this YearMonthDay to a full datetime at midnight using the specified time zone.
`Interval` | `toInterval()` Deprecated. Converts this object to an Interval representing the whole day in the default time zone.
`Interval` | `toInterval(DateTimeZone zone)` Deprecated. Converts this object to an Interval representing the whole day.
`LocalDate` | `toLocalDate()` Deprecated. Converts this object to a LocalDate with the same date and chronology.
`java.lang.String` | `toString()` Deprecated. Output the date in the ISO8601 format YYYY-MM-DD.
`YearMonthDay` | `withChronologyRetainFields(Chronology newChronology)` Deprecated. Returns a copy of this date with the specified chronology.
`YearMonthDay` | `withDayOfMonth(int dayOfMonth)` Deprecated. Returns a copy of this date with the day of month field updated.
`YearMonthDay` | `withField(DateTimeFieldType fieldType, int value)` Deprecated. Returns a copy of this date with the specified field set to a new value.
`YearMonthDay` | `withFieldAdded(DurationFieldType fieldType, int amount)` Deprecated. Returns a copy of this date with the value of the specified field increased.
`YearMonthDay` | `withMonthOfYear(int monthOfYear)` Deprecated. Returns a copy of this date with the month of year field updated.
`YearMonthDay` | `withPeriodAdded(ReadablePeriod period, int scalar)` Deprecated. Returns a copy of this date with the specified period added.
`YearMonthDay` | `withYear(int year)` Deprecated. Returns a copy of this date with the year field updated.
`YearMonthDay.Property` | `year()` Deprecated. Get the year field property which provides access to advanced functionality.

Methods inherited from class org.joda.time.base.BasePartial
`getChronology, getValue, getValues, setValue, setValues, toString, toString`

Methods inherited from class org.joda.time.base.AbstractPartial
`compareTo, equals, get, getField, getFields, hashCode, indexOf, indexOf, indexOfSupported, indexOfSupported, isAfter, isBefore, isEqual, isSupported, toDateTime, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.joda.time.ReadablePartial
`equals, get, getChronology, getField, getValue, hashCode, isSupported, toDateTime`

Field Detail

### YEAR

    public static final int YEAR

  Deprecated.
  The index of the year field in the field array

  See Also:
    Constant Field Values

### MONTH_OF_YEAR

    public static final int MONTH_OF_YEAR

  Deprecated.
  The index of the monthOfYear field in the field array

  See Also:
    Constant Field Values

### DAY_OF_MONTH

    public static final int DAY_OF_MONTH

  Deprecated.
  The index of the dayOfMonth field in the field array

  See Also:
    Constant Field Values

Constructor Detail

### YearMonthDay

    public YearMonthDay()

  Deprecated.
  Constructs a YearMonthDay with the current date, using ISOChronology in the default zone to extract the fields.

  The constructor uses the default time zone, resulting in the local time being initialised. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

### YearMonthDay

    public YearMonthDay(DateTimeZone zone)

  Deprecated.
  Constructs a YearMonthDay with the current date, using ISOChronology in the specified zone to extract the fields.

  The constructor uses the specified time zone to obtain the current date. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

  Parameters:
    `zone` - the zone to use, null means default zone
  Since:
    1.1

### YearMonthDay

    public YearMonthDay(Chronology chronology)

  Deprecated.
  Constructs a YearMonthDay with the current date, using the specified chronology and zone to extract the fields.

  The constructor uses the time zone of the chronology specified. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

  Parameters:
    `chronology` - the chronology, null means ISOChronology in the default zone

### YearMonthDay

    public YearMonthDay(long instant)

  Deprecated.
  Constructs a YearMonthDay extracting the partial fields from the specified milliseconds using the ISOChronology in the default zone.

  The constructor uses the default time zone, resulting in the local time being initialised. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

  Parameters:
    `instant` - the milliseconds from 1970-01-01T00:00:00Z

### YearMonthDay

    public YearMonthDay(long instant,
                        Chronology chronology)

  Deprecated.
  Constructs a YearMonthDay extracting the partial fields from the specified milliseconds using the chronology provided.

  The constructor uses the time zone of the chronology specified. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

  Parameters:
    `instant` - the milliseconds from 1970-01-01T00:00:00Z
    `chronology` - the chronology, null means ISOChronology in the default zone

### YearMonthDay

    public YearMonthDay(java.lang.Object instant)

  Deprecated.
  Constructs a YearMonthDay from an Object that represents a time.

  The recognised object types are defined in `ConverterManager` and include ReadableInstant, String, Calendar and Date. The String formats are described by `ISODateTimeFormat.dateOptionalTimeParser()`.

  The chronology used will be derived from the object, defaulting to ISO.

  NOTE: Prior to v1.3 the string format was described by `ISODateTimeFormat.dateTimeParser()`. Time ony strings are now rejected.

  Parameters:
    `instant` - the datetime object, null means now
  Throws:
    `java.lang.IllegalArgumentException` - if the instant is invalid

### YearMonthDay

    public YearMonthDay(java.lang.Object instant,
                        Chronology chronology)

  Deprecated.
  Constructs a YearMonthDay from an Object that represents a time, using the specified chronology.

  The recognised object types are defined in `ConverterManager` and include ReadableInstant, String, Calendar and Date. The String formats are described by `ISODateTimeFormat.dateOptionalTimeParser()`.

  The constructor uses the time zone of the chronology specified. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC). The specified chronology overrides that of the object.

  NOTE: Prior to v1.3 the string format was described by `ISODateTimeFormat.dateTimeParser()`. Time only strings are now rejected.

  Parameters:
    `instant` - the datetime object, null means now
    `chronology` - the chronology, null means ISO default
  Throws:
    `java.lang.IllegalArgumentException` - if the instant is invalid

### YearMonthDay

    public YearMonthDay(int year,
                        int monthOfYear,
                        int dayOfMonth)

  Deprecated.
  Constructs a YearMonthDay with specified time field values using `ISOChronology` in the default zone.

  The constructor uses the no time zone initialising the fields as provided. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

  Parameters:
    `year` - the year
    `monthOfYear` - the month of the year
    `dayOfMonth` - the day of the month

### YearMonthDay

    public YearMonthDay(int year,
                        int monthOfYear,
                        int dayOfMonth,
                        Chronology chronology)

  Deprecated.
  Constructs a YearMonthDay with specified time field values.

  The constructor uses the time zone of the chronology specified. Once the constructor is complete, all further calculations are performed without reference to a timezone (by switching to UTC).

  Parameters:
    `year` - the year
    `monthOfYear` - the month of the year
    `dayOfMonth` - the day of the month
    `chronology` - the chronology, null means ISOChronology in the default zone

Method Detail

### fromCalendarFields

    public static YearMonthDay fromCalendarFields(java.util.Calendar calendar)

  Deprecated.
  Constructs a YearMonthDay from a `java.util.Calendar` using exactly the same field values avoiding any time zone effects.

  Each field is queried from the Calendar and assigned to the YearMonthDay. This is useful if you have been using the Calendar as a local date, ignoing the zone.

  This factory method ignores the type of the calendar and always creates a YearMonthDay with ISO chronology. It is expected that you will only pass in instances of `GregorianCalendar` however this is not validated.

  Parameters:
    `calendar` - the Calendar to extract fields from
  Returns:
    the created YearMonthDay
  Throws:
    `java.lang.IllegalArgumentException` - if the calendar is null
    `java.lang.IllegalArgumentException` - if the date is invalid for the ISO chronology
  Since:
    1.2

### fromDateFields

    public static YearMonthDay fromDateFields(java.util.Date date)

  Deprecated.
  Constructs a YearMonthDay from a `java.util.Date` using exactly the same field values avoiding any time zone effects.

  Each field is queried from the Date and assigned to the YearMonthDay. This is useful if you have been using the Date as a local date, ignoing the zone.

  This factory method always creates a YearMonthDay with ISO chronology.

  Parameters:
    `date` - the Date to extract fields from
  Returns:
    the created YearMonthDay
  Throws:
    `java.lang.IllegalArgumentException` - if the calendar is null
    `java.lang.IllegalArgumentException` - if the date is invalid for the ISO chronology
  Since:
    1.2

### size

    public int size()

  Deprecated.
  Gets the number of fields in this partial.

  Specified by:
    `size` in interface `ReadablePartial`
  Returns:
    the field count

### getField

    protected DateTimeField getField(int index,
                                     Chronology chrono)

  Deprecated.
  Gets the field for a specific index in the chronology specified.

  This method must not use any instance variables.

  Specified by:
    `getField` in class `AbstractPartial`
  Parameters:
    `index` - the index to retrieve
    `chrono` - the chronology to use
  Returns:
    the field

### getFieldType

    public DateTimeFieldType getFieldType(int index)

  Deprecated.
  Gets the field type at the specified index.

  Specified by:
    `getFieldType` in interface `ReadablePartial`
  Overrides:
    `getFieldType` in class `AbstractPartial`
  Parameters:
    `index` - the index to retrieve
  Returns:
    the field at the specified index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index is invalid

### getFieldTypes

    public DateTimeFieldType[] getFieldTypes()

  Deprecated.
  Gets an array of the field type of each of the fields that this partial supports.

  The fields are returned largest to smallest, Year, Month, Day

  Overrides:
    `getFieldTypes` in class `AbstractPartial`
  Returns:
    the array of field types (cloned), largest to smallest

### withChronologyRetainFields

    public YearMonthDay withChronologyRetainFields(Chronology newChronology)

  Deprecated.
  Returns a copy of this date with the specified chronology. This instance is immutable and unaffected by this method call.

  This method retains the values of the fields, thus the result will typically refer to a different instant.

  The time zone of the specified chronology is ignored, as YearMonthDay operates without a time zone.

  Parameters:
    `newChronology` - the new chronology, null means ISO
  Returns:
    a copy of this datetime with a different chronology
  Throws:
    `java.lang.IllegalArgumentException` - if the values are invalid for the new chronology

### withField

    public YearMonthDay withField(DateTimeFieldType fieldType,
                                  int value)

  Deprecated.
  Returns a copy of this date with the specified field set to a new value.

  For example, if the field type is `dayOfMonth` then the day would be changed in the returned instance.

  These three lines are equivalent:

       YearMonthDay updated = ymd.withField(DateTimeFieldType.dayOfMonth(), 6);
       YearMonthDay updated = ymd.dayOfMonth().setCopy(6);
       YearMonthDay updated = ymd.property(DateTimeFieldType.dayOfMonth()).setCopy(6);

  Parameters:
    `fieldType` - the field type to set, not null
    `value` - the value to set
  Returns:
    a copy of this instance with the field set
  Throws:
    `java.lang.IllegalArgumentException` - if the value is null or invalid

### withFieldAdded

    public YearMonthDay withFieldAdded(DurationFieldType fieldType,
                                       int amount)

  Deprecated.
  Returns a copy of this date with the value of the specified field increased.

  If the addition is zero, then `this` is returned.

  These three lines are equivalent:

       YearMonthDay added = ymd.withFieldAdded(DurationFieldType.days(), 6);
       YearMonthDay added = ymd.plusDays(6);
       YearMonthDay added = ymd.dayOfMonth().addToCopy(6);

  Parameters:
    `fieldType` - the field type to add to, not null
    `amount` - the amount to add
  Returns:
    a copy of this instance with the field updated
  Throws:
    `java.lang.IllegalArgumentException` - if the value is null or invalid
    `java.lang.ArithmeticException` - if the new datetime exceeds the capacity

### withPeriodAdded

    public YearMonthDay withPeriodAdded(ReadablePeriod period,
                                        int scalar)

  Deprecated.
  Returns a copy of this date with the specified period added.

  If the addition is zero, then `this` is returned. Fields in the period that aren't present in the partial are ignored.

  This method is typically used to add multiple copies of complex period instances. Adding one field is best achieved using methods like `withFieldAdded(DurationFieldType, int)` or `plusYears(int)`.

  Parameters:
    `period` - the period to add to this one, null means zero
    `scalar` - the amount of times to add, such as -1 to subtract once
  Returns:
    a copy of this instance with the period added
  Throws:
    `java.lang.ArithmeticException` - if the new datetime exceeds the capacity

### plus

    public YearMonthDay plus(ReadablePeriod period)

  Deprecated.
  Returns a copy of this date with the specified period added.

  If the amount is zero or null, then `this` is returned.

  This method is typically used to add complex period instances. Adding one field is best achieved using methods like `plusYears(int)`.

  Parameters:
    `period` - the duration to add to this one, null means zero
  Returns:
    a copy of this instance with the period added
  Throws:
    `java.lang.ArithmeticException` - if the new datetime exceeds the capacity of a long

### plusYears

    public YearMonthDay plusYears(int years)

  Deprecated.
  Returns a copy of this date plus the specified number of years.

  This date instance is immutable and unaffected by this method call.

  The following three lines are identical in effect:

       YearMonthDay added = dt.plusYears(6);
       YearMonthDay added = dt.plus(Period.years(6));
       YearMonthDay added = dt.withFieldAdded(DurationFieldType.years(), 6);

  Parameters:
    `years` - the amount of years to add, may be negative
  Returns:
    the new date plus the increased years
  Since:
    1.1

### plusMonths

    public YearMonthDay plusMonths(int months)

  Deprecated.
  Returns a copy of this date plus the specified number of months.

  This date instance is immutable and unaffected by this method call.

  The following three lines are identical in effect:

       YearMonthDay added = dt.plusMonths(6);
       YearMonthDay added = dt.plus(Period.months(6));
       YearMonthDay added = dt.withFieldAdded(DurationFieldType.months(), 6);

  Parameters:
    `months` - the amount of months to add, may be negative
  Returns:
    the new date plus the increased months
  Since:
    1.1

### plusDays

    public YearMonthDay plusDays(int days)

  Deprecated.
  Returns a copy of this date plus the specified number of days.

  This date instance is immutable and unaffected by this method call.

  The following three lines are identical in effect:

       YearMonthDay added = dt.plusDays(6);
       YearMonthDay added = dt.plus(Period.days(6));
       YearMonthDay added = dt.withFieldAdded(DurationFieldType.days(), 6);

  Parameters:
    `days` - the amount of days to add, may be negative
  Returns:
    the new date plus the increased days
  Since:
    1.1

### minus

    public YearMonthDay minus(ReadablePeriod period)

  Deprecated.
  Returns a copy of this date with the specified period taken away.

  If the amount is zero or null, then `this` is returned.

  This method is typically used to subtract complex period instances. Subtracting one field is best achieved using methods like `minusYears(int)`.

  Parameters:
    `period` - the period to reduce this instant by
  Returns:
    a copy of this instance with the period taken away
  Throws:
    `java.lang.ArithmeticException` - if the new datetime exceeds the capacity of a long

### minusYears

    public YearMonthDay minusYears(int years)

  Deprecated.
  Returns a copy of this date minus the specified number of years.

  This datetime instance is immutable and unaffected by this method call.

  The following three lines are identical in effect:

       YearMonthDay subtracted = dt.minusYears(6);
       YearMonthDay subtracted = dt.minus(Period.years(6));
       YearMonthDay subtracted = dt.withFieldAdded(DurationFieldType.years(), -6);

  Parameters:
    `years` - the amount of years to subtract, may be negative
  Returns:
    the new datetime minus the increased years
  Since:
    1.1

### minusMonths

    public YearMonthDay minusMonths(int months)

  Deprecated.
  Returns a copy of this date minus the specified number of months.

  This datetime instance is immutable and unaffected by this method call.

  The following three lines are identical in effect:

       YearMonthDay subtracted = dt.minusMonths(6);
       YearMonthDay subtracted = dt.minus(Period.months(6));
       YearMonthDay subtracted = dt.withFieldAdded(DurationFieldType.months(), -6);

  Parameters:
    `months` - the amount of months to subtract, may be negative
  Returns:
    the new datetime minus the increased months
  Since:
    1.1

### minusDays

    public YearMonthDay minusDays(int days)

  Deprecated.
  Returns a copy of this date minus the specified number of days.

  This datetime instance is immutable and unaffected by this method call.

  The following three lines are identical in effect:

       YearMonthDay subtracted = dt.minusDays(6);
       YearMonthDay subtracted = dt.minus(Period.days(6));
       YearMonthDay subtracted = dt.withFieldAdded(DurationFieldType.days(), -6);

  Parameters:
    `days` - the amount of days to subtract, may be negative
  Returns:
    the new datetime minus the increased days
  Since:
    1.1

### property

    public YearMonthDay.Property property(DateTimeFieldType type)

  Deprecated.
  Gets the property object for the specified type, which contains many useful methods.

  Parameters:
    `type` - the field type to get the property for
  Returns:
    the property object
  Throws:
    `java.lang.IllegalArgumentException` - if the field is null or unsupported

### toLocalDate

    public LocalDate toLocalDate()

  Deprecated.
  Converts this object to a LocalDate with the same date and chronology.

  Returns:
    a LocalDate with the same date and chronology
  Since:
    1.3

### toDateTimeAtMidnight

    public DateTime toDateTimeAtMidnight()

  Deprecated.
  Converts this YearMonthDay to a full datetime at midnight using the default time zone.

  Returns:
    this date as a datetime at midnight

### toDateTimeAtMidnight

    public DateTime toDateTimeAtMidnight(DateTimeZone zone)

  Deprecated.
  Converts this YearMonthDay to a full datetime at midnight using the specified time zone.

  This method uses the chronology from this instance plus the time zone specified.

  Parameters:
    `zone` - the zone to use, null means default
  Returns:
    this date as a datetime at midnight

### toDateTimeAtCurrentTime

    public DateTime toDateTimeAtCurrentTime()

  Deprecated.
  Converts this partial to a full datetime using the default time zone setting the date fields from this instance and the time fields from the current time.

  Returns:
    this date as a datetime with the time as the current time

### toDateTimeAtCurrentTime

    public DateTime toDateTimeAtCurrentTime(DateTimeZone zone)

  Deprecated.
  Converts this partial to a full datetime using the specified time zone setting the date fields from this instance and the time fields from the current time.

  This method uses the chronology from this instance plus the time zone specified.

  Parameters:
    `zone` - the zone to use, null means default
  Returns:
    this date as a datetime with the time as the current time

### toDateMidnight

    public DateMidnight toDateMidnight()

  Deprecated.
  Converts this object to a DateMidnight in the default time zone.

  Returns:
    the DateMidnight instance in the default zone

### toDateMidnight

    public DateMidnight toDateMidnight(DateTimeZone zone)

  Deprecated.
  Converts this object to a DateMidnight.

  Parameters:
    `zone` - the zone to get the DateMidnight in, null means default
  Returns:
    the DateMidnight instance

### toDateTime

    public DateTime toDateTime(TimeOfDay time)

  Deprecated.
  Converts this object to a DateTime using a TimeOfDay to fill in the missing fields and using the default time zone. This instance is immutable and unaffected by this method call.

  The resulting chronology is determined by the chronology of this YearMonthDay plus the time zone. The chronology of the time is ignored - only the field values are used.

  Parameters:
    `time` - the time of day to use, null means current time
  Returns:
    the DateTime instance

### toDateTime

    public DateTime toDateTime(TimeOfDay time,
                               DateTimeZone zone)

  Deprecated.
  Converts this object to a DateTime using a TimeOfDay to fill in the missing fields. This instance is immutable and unaffected by this method call.

  The resulting chronology is determined by the chronology of this YearMonthDay plus the time zone. The chronology of the time is ignored - only the field values are used.

  Parameters:
    `time` - the time of day to use, null means current time
    `zone` - the zone to get the DateTime in, null means default
  Returns:
    the DateTime instance

### toInterval

    public Interval toInterval()

  Deprecated.
  Converts this object to an Interval representing the whole day in the default time zone.

  Returns:
    a interval over the day

### toInterval

    public Interval toInterval(DateTimeZone zone)

  Deprecated.
  Converts this object to an Interval representing the whole day.

  Parameters:
    `zone` - the zone to get the Interval in, null means default
  Returns:
    a interval over the day

### getYear

    public int getYear()

  Deprecated.
  Get the year field value.

  Returns:
    the year

### getMonthOfYear

    public int getMonthOfYear()

  Deprecated.
  Get the month of year field value.

  Returns:
    the month of year

### getDayOfMonth

    public int getDayOfMonth()

  Deprecated.
  Get the day of month field value.

  Returns:
    the day of month

### withYear

    public YearMonthDay withYear(int year)

  Deprecated.
  Returns a copy of this date with the year field updated.

  YearMonthDay is immutable, so there are no set methods. Instead, this method returns a new instance with the value of year changed.

  Parameters:
    `year` - the year to set
  Returns:
    a copy of this object with the field set
  Throws:
    `java.lang.IllegalArgumentException` - if the value is invalid
  Since:
    1.3

### withMonthOfYear

    public YearMonthDay withMonthOfYear(int monthOfYear)

  Deprecated.
  Returns a copy of this date with the month of year field updated.

  YearMonthDay is immutable, so there are no set methods. Instead, this method returns a new instance with the value of month of year changed.

  Parameters:
    `monthOfYear` - the month of year to set
  Returns:
    a copy of this object with the field set
  Throws:
    `java.lang.IllegalArgumentException` - if the value is invalid
  Since:
    1.3

### withDayOfMonth

    public YearMonthDay withDayOfMonth(int dayOfMonth)

  Deprecated.
  Returns a copy of this date with the day of month field updated.

  YearMonthDay is immutable, so there are no set methods. Instead, this method returns a new instance with the value of day of month changed.

  Parameters:
    `dayOfMonth` - the day of month to set
  Returns:
    a copy of this object with the field set
  Throws:
    `java.lang.IllegalArgumentException` - if the value is invalid
  Since:
    1.3

### year

    public YearMonthDay.Property year()

  Deprecated.
  Get the year field property which provides access to advanced functionality.

  Returns:
    the year property

### monthOfYear

    public YearMonthDay.Property monthOfYear()

  Deprecated.
  Get the month of year field property which provides access to advanced functionality.

  Returns:
    the month of year property

### dayOfMonth

    public YearMonthDay.Property dayOfMonth()

  Deprecated.
  Get the day of month field property which provides access to advanced functionality.

  Returns:
    the day of month property

### toString

    public java.lang.String toString()

  Deprecated.
  Output the date in the ISO8601 format YYYY-MM-DD.

  Specified by:
    `toString` in interface `ReadablePartial`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ISO8601 formatted string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD